# publish targets

publish targets

Endpoint: POST /v1/ingress/data-sources/{dataSource}/targets
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    target data list

## Request fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `link` (string)
    URL of the source editor, drillplan will use this value let the user navigate to source and do the data modificaiton.

  - `timestamp` (string)
    object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

  - `comments` (string)

  - `wellbore_id` (string)
    wellbore id target set belongs to, each wellbore only have one target set

  - `targets` (array)

  - `targets.coordinate_input_type` (integer)
    Enum: "0", "1"

  - `targets.id` (string)

  - `targets.name` (string)

  - `targets.tvdss` (number)
    tvdss.

  - `targets.latitude` (number)
    latitude.

  - `targets.longitude` (number)
    latitude

  - `targets.northing` (number)
    northing

  - `targets.easting` (number)
    easting

## Response 204:

  - `204` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

